---
title: Commercial License
sidebar_label: Commercial License
sidebar_position: 14
---

WebSerial Lite (open-source version) and WebSerial Pro are two different versions of the same remote terminal library, each with its own set of features and licensing terms. Here's a comparison between WebSerial Lite, which is open-source and AGPL-3.0 based, and WebSerial Pro:

1. Licensing:
   - WebSerial Lite: This version is open-source and released under the AGPL-3.0 license. It means that it's freely available for anyone to use, modify, and distribute. However, if you use WebSerial Lite in a commercial product, the AGPL-3.0 license requires you to make the source code of your product, including any modifications to WebSerial Lite, available to the public.

   - WebSerial Pro: This version is offered under a one-time charge for a commercial license. It allows you to use WebSerial Pro in a commercial product without the requirement to open-source your proprietary code. The commercial license provides more flexibility and protection for businesses.

2. Support:
   - WebSerial Lite: Support for WebSerial Lite is typically community-driven. You may find help through online forums, documentation, or user-contributed resources. However, professional support may be limited.

   - WebSerial Pro: WebSerial Pro includes dedicated support and assistance. This can be essential for businesses that require timely and reliable support to ensure their firmware runs smoothly for their customers.

In summary, the choice between WebSerial Lite and WebSerial Pro depends on your specific needs and the nature of your project:

- If you are working on an open-source project or have no concerns about the AGPL-3.0 license's requirements and need remote terminal functionality for logging/debugging, WebSerial Lite is a viable choice.

- If you are developing a commercial product, WebSerial Pro provides a more comprehensive and professionally supported solution while allowing you to maintain the proprietary nature of your code. However, it comes with a one-time commercial licensing fee.

You can get WebSerial Pro via the official product page at: https://webserial.pro